﻿using Syncfusion.UI.Xaml.Controls.Input;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace Calendar
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }

        /// <summary>
        /// Invoked when this page is about to be displayed in a Frame.
        /// </summary>
        /// <param name="e">Event data that describes how this page was reached.  The Parameter
        /// property is typically used to configure the page.</param>
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
        }

       
        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            Object obj = Resources["Appointments"] as object;
            (obj as AppointmentSource).Remove(DateTime.Now.Date);
            (obj as AppointmentSource).Remove(DateTime.Now.AddDays(+2).Date);
            (obj as AppointmentSource).Remove(DateTime.Now.AddDays(+5).Date);
            (obj as AppointmentSource).Remove(DateTime.Now.AddDays(-6).Date);
            (obj as AppointmentSource).Remove(DateTime.Now.AddDays(+7).Date);
            (obj as AppointmentSource).Remove(DateTime.Now.AddDays(-1).Date);
            (obj as AppointmentSource).Remove(DateTime.Now.AddDays(-4).Date);
            calendar.Refresh();
        }

    }

    public class CellConverter : IValueConverter
    {

        public object Convert(object value, Type targetType, object parameter, string language)
        {
            var appointments = parameter as Dictionary<DateTime, Appointment>;
            var date = ((DateTime)value).Date;
            if (appointments != null)
            {
                if (appointments.ContainsKey(date))
                {
                    return appointments[date].Title;
                }
            }
            return null;
        }

        public object ConvertBack(object value, Type targetType, object parameter, string language)
        {
            throw new NotImplementedException();
        }
    }

    public class CellDescriptionConverter : IValueConverter
    {

        public object Convert(object value, Type targetType, object parameter, string language)
        {
            var appointments = parameter as Dictionary<DateTime, Appointment>;
            var date = ((DateTime)value).Date;
            if (appointments != null)
            {
                if (appointments.ContainsKey(date))
                {
                    return appointments[date].Description;
                }
            }
            return null;
        }

        public object ConvertBack(object value, Type targetType, object parameter, string language)
        {
            throw new NotImplementedException();
        }
    }

    public class DateConverter : IValueConverter
    {

        public object Convert(object value, Type targetType, object parameter, string language)
        {
            if (value is DateTime)
            {
                var date = (DateTime)value;
                return date.ToString("D").ToUpper();
            }
            else
                return DateTime.Now;
        }

        public object ConvertBack(object value, Type targetType, object parameter, string language)
        {
            throw new NotImplementedException();
        }
    }

}
